CL(1)

NAME
IRAFCL - IRAF Command Language Interpreter

SYNOPSIS
irafcl [-V|-c|-e] [-f FILE]

ecl [-V|-c|-e] [-f FILE]

cl [-V|-c|-e] [-f FILE]

DESCRIPTION
irafcl, ecl or cl starts up the command language interpreter for IRAF, the Image Reduction and Analysis Facility. It can be fed a series of commands that will be executed in sequence.

The ECL (Enhanced CL) has a number of features over CL, including better error handling, command line editing, new functions and constants. Unless for compatibility reasons, ECL should be used over CL.

Because the names ecl and cl conflict with other commonly used command names for Common Lisp, the canonical name of the interpreter is irafcl, which defaults to ECL behaviour.

-V  Show version of program.

-e  Force enhanced CL (command line editing etc.)

-c  Force classic CL

-x  Start in a new xgterm (or xterm if xgterm is not available)

-f FILE
    Start with executing FILE

AUTHOR
Created by Ole Streicher for the IRAF community